import orderList from './mock-order-data'
import { Order } from 'Order';

export const allOrders = () => new Promise<Order[]>((res, rej) => {
    setTimeout(() => { res(orderList) }, 2000)
});

export const orderById = (id: string) => new Promise<Order>((res, rej) => {
        setTimeout(() => { 
            const orderData = orderList.filter((order) => {
                return order.id === id;
            })
            res(orderData[0])
        }, 2000)
})


export default {
    allOrders,
    orderById
}